<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.aksw</groupId>
  <artifactId>iguana-parent</artifactId>
    <version>${revision}</version>
  <name>Iguana Parent </name>
    <licenses>
        <license>
            <name>AGPLv3 or later</name>
            <url>https://www.gnu.org/licenses/agpl-3.0.html</url>
        </license>
    </licenses>
    <developers>
        <developer>
            <name>Lixi Conrads</name>
            <email>lixiconrads@gmail.com</email>
            <roles>
                <role>Former Developer</role>
            </roles>
            <organization>Dice Research Group</organization>
            <organizationUrl>https://dice-research.org</organizationUrl>
        </developer>
    </developers>
    <organization>
        <name>Dice Research Group</name>
        <url>https://dice-research.org</url>
    </organization>
    <issueManagement>
        <system>GitHub Issue Management</system>
        <url>https://github.com/dice-group/iguana/issues</url>
    </issueManagement>
    <url>https://dice-research.org/IGUANA</url>
  <packaging>pom</packaging>
  <modules>
  	<module>iguana.commons</module>
  	<module>iguana.resultprocessor</module>
    <module>iguana.corecontroller</module>
  </modules>
    <properties>
        <revision>${major.minor.version}.${build.version}</revision>
        <major.minor.version>${major.version}.${minor.version}</major.minor.version>
        <major.version>3</major.version>
        <minor.version>3</minor.version>
        <build.version>3</build.version>
    </properties>
    <distributionManagement>
        <repository>
            <id>github</id>
            <name>GitHub Packages</name>
            <url>https://maven.pkg.github.com/dice-group/iguana</url>
        </repository>
    </distributionManagement>
    <!-- START https://wikitech.wikimedia.org/wiki/Data_Engineering/Systems/Archiva#Using_pom.xml (parts removed)-->
    <repositories>
        <!-- disable Maven central -->
        <repository>
            <id>central</id>
            <url>http://repo1.maven.org/maven2</url>
            <releases>
                <enabled>false</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>

        <!-- Repository information for archiva.wikimedia.org. -->
        <repository>
            <id>wikimedia.mirrored</id>
            <name>Wikimedia Mirrored Repository</name>
            <url>https://archiva.wikimedia.org/repository/mirrored</url>
            <releases>
                <enabled>true</enabled>
                <checksumPolicy>fail</checksumPolicy>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>
    <pluginRepositories>
        <!-- disable Maven central -->
        <pluginRepository>
            <id>central</id>
            <url>http://repo1.maven.org/maven2</url>
            <releases>
                <enabled>false</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>

        <pluginRepository>
            <id>wikimedia.mirrored</id>
            <name>Wikimedia Mirrored Repository</name>
            <url>https://archiva.wikimedia.org/repository/mirrored/</url>
        </pluginRepository>
    </pluginRepositories>
    <!-- END https://wikitech.wikimedia.org/wiki/Data_Engineering/Systems/Archiva#Using_pom.xml (parts removed)-->
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>3.4.0</version>
                <configuration>
                    <doclint>-html</doclint>
                    <reportOutputDirectory>javadoc/${revision}/</reportOutputDirectory>
                    <destDir></destDir>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <version>3.1.0</version>
                <executions>
                    <execution>
                        <id>copy-resources</id>
                        <!-- here the phase you need -->
                        <phase>package</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${project.basedir}/target</outputDirectory>
                            <resources>
                                <resource>
                                    <directory>${project.basedir}/src/main/resources/</directory>
                                    <includes>
                                        <include>start-iguana.sh</include>
                                    </includes>
                                    <filtering>true</filtering>
                                </resource>
                                <resource>
                                    <directory>${project.basedir}/iguana.corecontroller/target/</directory>
                                    <includes>
                                        <include>iguana-${revision}-shaded.jar</include>
                                    </includes>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
